package com.czg.order.dto;

import com.czg.BaseQueryParam;
import com.czg.utils.CzgStrUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 拼团订单查询参数
 *
 * @author ww
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class GbOrderQueryParam extends BaseQueryParam {

    private Long shopId;
    /**
     * 订单状态：待支付/待核销/待成团/已核销/退款中/已退款
     */
    private String status;

    /**
     * 下单 开始时间 yyyy-MM-dd HH:mm:ss
     * 支付 开始时间 yyyy-MM-dd HH:mm:ss
     */
    private String orderStartTime;
    /**
     * 下单 结束时间 yyyy-MM-dd HH:mm:ss
     * 支付 结束时间 yyyy-MM-dd HH:mm:ss
     */
    private String orderEndTime;

    /**
     * 核销 开始时间 yyyy-MM-dd HH:mm:ss
     */
    private String verifyStartTime;

    /**
     * 核销 开始时间 yyyy-MM-dd HH:mm:ss
     */
    private String verifyEndTime;

    private String phone;
    private Long userId;

    /**
     * 订单号（唯一）
     */
    private String orderNo;

    /**
     * 团单号（关联拼团订单表）
     */
    private String groupOrderNo;

    /**
     * 名称
     */
    private String name;



    public String getOrderStartTime() {
        return CzgStrUtils.getStrOrNull(orderStartTime);
    }

    public String getOrderEndTime() {
        return CzgStrUtils.getStrOrNull(orderEndTime);
    }

    public String getVerifyStartTime() {
        return CzgStrUtils.getStrOrNull(verifyStartTime);
    }
    public String getVerifyEndTime() {
        return CzgStrUtils.getStrOrNull(verifyEndTime);
    }

    public String getOrderNo() {
        return CzgStrUtils.getStrOrNull(orderNo);
    }

    public String getGroupOrderNo() {
        return CzgStrUtils.getStrOrNull(groupOrderNo);
    }

    public String getStatus() {
        return CzgStrUtils.getStrOrNull(status);
    }

    public String getName() {
        return CzgStrUtils.getStrOrNull(name);
    }

}
